Subject: Re: [Ufl] [Question #118358]: BasisFunction and Function

From: Garth Wells <[email-masked]>
Date: Tue, 20 Jul 2010 15:45:41 -0000

Question #118358 on UFL changed:
https://answers.launchpad.net/ufl/+question/118358

    Status: Open => Answered

Garth Wells proposed the following answer:
Try

   v = Coefficient(element)

The tutorial is a but out-of-date. It will eventually be updated.

Garth

On 20/07/10 16:41, Øystein Sørensen wrote:
> New question #118358 on UFL:
> https://answers.launchpad.net/ufl/+question/118358
>
> I am working with the UFL tutorial, and when trying out BasisFunction and Function I get error message. An example code is
>
> from ufl import *
> element = FiniteElement("DG", tetrahedron, 0)
> v = BasisFunction(element)
>
> which gives the error message
>
> Traceback (most recent call last):
>    File "test.py", line 3, in<module>
>      v = BasisFunction(element)
> NameError: name 'BasisFunction' is not defined
>
> and
>
> from ufl import *
> element = FiniteElement("DG", tetrahedron, 0)
> f = Function(element)
>
> which gives the error message
>
> Traceback (most recent call last):
>    File "test.py", line 4, in<module>
>      f = Function(element)
> NameError: name 'Function' is not defined
>
>
> Does this mean that the functions BasisFunction and Function have been removed, or am I doing something wrong?
>
>

-- 
You received this question notification because you are a member of UFL
Team, which is an answer contact for UFL.